> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create member

> Use this endpoint to create a new member.

Create a new member using credentials that merge a User with an Institution.

By setting the proper credentials, an Institution will be paired with a User. These credentials will be used when requesting data for the User from a data provider.

`login` and `password` are paired together. Alternatively, `userkey` can be used by itself for credentials.

Do not use the `name` parameter unless instructed to do so by MX.

Do not use the `institution_guid` parameter unless instructed to do so by MX.

## Query parameters

<ParamField query="k" type="string" required>
  Your API key.
</ParamField>

<ParamField query="c" type="string" required>
  The `client_guid` or `external_client_guid`.
</ParamField>

## Headers

<ParamField header="Content-Type" type="string" required>
  Must be `application/json`.
</ParamField>

## Body parameters

<ParamField body="external_user_guid" type="string" required>
  Identifies the user the member belongs to. Accepts `user_guid` or `external_user_guid`.
</ParamField>

<ParamField body="credentials" type="array" required>
  One or more credential `field_name`/`response` pairs.
</ParamField>

<ParamField body="external_member_guid" type="string">
  A unique identifier for this member within the client.
</ParamField>

<RequestExample>
  ```json Request theme={null}
  {
    "external_user_guid": "235-XXXX-83",
    "external_member_guid": "M-235-XXXX-83",
    "credentials": [
      {
        "field_name": "userkey",
        "response": "key123"
      }
    ]
  }
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "guid": "MBR-0deaa966-3f77-a8b9-3999-f2770280c80c",
    "institution_guid": "INS-01ed0eaf-6e75-f60c-985a-3a9fe9759a69",
    "user_guid": "USR-07230561-1bf5-fe0c-ed17-c08888150334",
    "name": "Expera Credit Union",
    "status": {
      "status": 1,
      "name": "ENABLED",
      "message": ""
    },
    "external_member_guid": "M-235-XXXX-83"
  }
  ```
</ResponseExample>
